/* 
Тестировалось на Arduino IDE 1.8.0
Дата тестирования 27.01.2017г.
*/

int pinA0 = A0;                    // Пин к которому подключен A0
int pinD0 = A1;                    // Пин к которому подключен D0

void setup() 
{
  pinMode (pinA0, INPUT);          // Установим вывод A0 как вход
  pinMode (pinD0, INPUT);          // Установим вывод A1 как вход
  Serial.begin (9600);             // Задаем скорость передачи данных
}

void loop() 
{
  int xA0, xD0;                     // Создаем переменные
  xA0 = analogRead (pinA0);         // Считываем значение с порта pinA0
  xD0 = digitalRead (pinD0);        // считываем значение с порта pinD0

  Serial.print("IN = ");            // Выводим текст
  Serial.println (xA0, DEC);        // Выводим значение переменной xA0
  Serial.print("Sensor: ");         // Выводим текст
    
  if (xD0 == HIGH)                  // Если xD0 равно "1" 
   {            
     Serial.println ("ON");         // Выводим текст
   }
  else
   {
    Serial.println ("OFF");         // Если xD0 равно "0" 
   }
delay (500);                        // Ждем 500 мкс.
}
